Subject: Re: [lojban] More about quantifiers

From: "Jorge Llambias" <[email-masked]>
Date: Mon, 11 Mar 2002 16:55:15

la pycyn cusku di'e

>Mine, also with a
>few modifications, runs as follows:
>
>A+ ro broda cu brode
>A- ro da poi broda cu brode
>E+ no broda cu brode
>E- no da poi broda cu brode
>I+ [suo /lo /su'o lo] broda cu brode
>I- (su'o) da poi broda cu brode
>O+ me'iro broda cu brode
>O- me'iro da poi broda cu brode

Here's mine:

A+ ro lo su'o broda cu brode
A- ro broda cu brode
E+ no lo su'o broda cu brode
E- no broda cu brode
I+ su'o broda cu brode
I- naku no lo su'o broda cu brode
O+ me'iro broda cu brode
O- naku ro lo su'o broda cu brode

>The Aristotelian quantifiers are in place, with the right readings,

As they will be in any valid system, of course.

>the + and
>- are clearly marked (Q broda v Q da poi),

That's the distinction of your system, yes. Little gain
at too high a price, in my opinion.

>all the transformations are
>entirely regular

They follow a rule, no doubt, but some of the relationships
will be so hideous as to be unworkable. We have the following
relationships among the quantifiers:

Contradictories (negation of the whole thing):
A- = ~ O+
A+ = ~ O-
E- = ~ I+
E+ = ~ I-
I- = ~ E+
I+ = ~ E-
O- = ~ A+
O+ = ~ A-

Complementaries (negation of the predicate):
A- = E- ~
A+ = E+ ~
E- = A- ~
E+ = A+ ~
I- = O- ~
I+ = O+ ~
O- = I- ~
O+ = I+ ~

Duals (negation of the complement = complement of the negation):
A- = ~ I+ ~
A+ = ~ I- ~
E- = ~ O+ ~
E+ = ~ O- ~
I- = ~ A+ ~
I+ = ~ A- ~
O- = ~ E+ ~
O+ = ~ E- ~

The Aristotelian system (A+,E-,I+,O-) has the contradictories
within the system, but it loses the complements and the duals.
The "existential" (pc's) system (A+,E+,I+,O+) has the complements
within the system, but it loses the contradictories and the duals.
The "modern" system (my choice) (A-,E-,I+,O+) keeps contradictories,
complements and duals within the system.

This has actual implications in the transformation rules for
quantifiers. The prenex form by its very nature favours the
"modern" system. These transformations will always hold at
the prenex level, no matter what we do with the non-prenex
forms:

roda = naku me'iroda = noda naku = naku su'oda naku
noda = naku su'oda = roda naku = naku me'iroda naku
su'oda = naku noda = me'iroda naku = naku roda naku
me'iroda = naku roda = su'oda naku = naku noda naku

Each of the quantifiers can be expressed in terms of
each of the others (its contradictory, its complementary
and its dual).

In the modern system, where the {Q da poi broda cu brode}
form is maintained from the prenex form for all four cases
(A-,E-,I+,O+), you can still use the very same transformation
rules. You can always replace {Q da} by its equivalents.
In the Aristotelian or existential systems, this is no longer
the case: some of the substitutions will still work
(different ones in each system), but most will not
work directly, you have to make much more complex
manipulations. And the same relationships that work for
{Q da} will work for {Q broda} if {Q broda} is the
same as {Q da poi broda}. Otherwise, you get into a maze
of different rules depending on which level you're working
at. For example, if you have {naku su'o broda cu brode},
and you want to express it in terms of {ro}, in my system
you just change {su'o broda} to {naku ro broda naku}, and
then you are left with {ro broda naku brode}. In pc's system
there is no such simple substitution, you have to change the
whole form to {ro da poi broda ku'o naku brode}. On the other
hand, if you want to change to {me'iro}, you can use the same
substitution, {su'o broda} is {me'iro broda naku} in both
systems, so in both you get {naku me'iro broda naku brode}.

So transformations are entirely regular in any system, yes,
but the transformation rules of the modern system are much
much simpler than in any other.

>and all the forms are unmucky (mainly, to be sure, because
>we have hidden the muck, but that is what definitions are meant to do).

If there was a need for any of that, maybe I would understand it,
but I don't get what the need is.

mu'o mi'e xorxes

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp.